View Issue Details

IDProjectCategoryView StatusLast Update
0002163FreeCADBugpublic2015-06-25 11:46
ReporterjalapenoAssigned Toabdullah 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformOSUbuntuOS Version14.04.2 LTS
Product Version 
Target VersionFixed in Version0.16 
Summary0002163: Crash when deleting a connected line in the sketcher
DescriptionMy FreeCAD crashes whenever I delete a connected line from the sketcher.

------- Console message: ----------
ben@bearded-dragon:~$ freecad
FreeCAD 0.16, Libs: 0.16R5086 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2015
  ##### #### ### ####
  # # # # # #
  # ## #### #### # # # # #
  #### # # # # # # # ##### # #
  # # #### #### # # # # #
  # # # # # # # # # ## ## ##
  # # #### #### ### # # #### ## ## ##

*** Abort *** an exception was raised, but no catch was found.
    ... The exception is:SIGSEGV 'segmentation violation' detected. Address 0
ben@bearded-dragon:~$
--------------------------------------------------------

Steps To Reproduce1) Start FreeCAD
2) Create a new drawing
3) Select Part Design Workbench
4) Create a new sketch
5) Place a line
6) Place a second line, with a point co-incident with one of the points of the first line.
7) Delete either line.
8) CRASH

Note that FreeCAD does not crash if the deleted line is not connected to anything else.
Additional InformationVersion Information:

OS: Ubuntu 14.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5086 (Git)
Build type: None
Branch: master
Hash: 4f5534a87a7e2d224022ff98729a341bf57e7f9e
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

mghansen256

2015-06-20 19:40

reporter  

2015-06-20-freecad-5115-sketcher-delete-crash.txt (Attachment missing)

mghansen256

2015-06-20 19:40

reporter   ~0006215

I can reproduce this in 5115 and have uploaded a backtrace.

mghansen256

2015-06-20 20:20

reporter   ~0006216

I ran git bisect and the crash first appears here: da5270131c907823b7a7173de9f2793cf12d5305

OS: Ubuntu 14.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5106 (Git)
Build type: Release
Branch: (no branch, bisect started on master)
Hash: da5270131c907823b7a7173de9f2793cf12d5305
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

hinckel

2015-06-24 11:23

reporter   ~0006227

OS: "openSUSE 13.2 (Harlequin) (x86_64)"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5120 (Git)
Build type: Unknown
Branch: master
Hash: 16c740a6f95c9f795441bc985f94113c62a0cdcc
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 3.1.3

Reproduces with my system. Draw any two lines, make a coincidence of any two points: delete one one of them... crash. Does not happen if one of the entities is no a line. (ex. line and arc, make a coincidence of line-end-point and arc-center-point.

quick61

2015-06-24 15:42

reporter   ~0006228

Forum thread -

http://forum.freecadweb.org/viewtopic.php?f=3&t=11508&p=92665#p92650

Related Changesets

FreeCAD: master 65310f00

2015-06-18 17:17:08

Abdullah Tahiri


Committer: wmayer Details Diff
Sketcher bug fixes: Crash on deleting a line from the sketch

============================================================

- Crashing on deleting line on fully constraint box

As a bonus:
- Fully constrained sketch not shown in green on opening the sketch
Affected Issues
0002163
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

Issue History

Date Modified Username Field Change
2015-06-20 07:46 jalapeno New Issue
2015-06-20 19:40 mghansen256 File Added: 2015-06-20-freecad-5115-sketcher-delete-crash.txt
2015-06-20 19:40 mghansen256 Note Added: 0006215
2015-06-20 20:20 mghansen256 Note Added: 0006216
2015-06-22 05:04 abdullah Assigned To => abdullah
2015-06-22 05:04 abdullah Status new => assigned
2015-06-24 11:23 hinckel Note Added: 0006227
2015-06-24 15:42 quick61 Note Added: 0006228
2015-06-25 11:45 wmayer Changeset attached => FreeCAD Master master 65310f00
2015-06-25 11:46 wmayer Status assigned => closed
2015-06-25 11:46 wmayer Resolution open => fixed
2015-06-25 11:46 wmayer Fixed in Version => 0.16